> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/usersettings.md).

# UserSettings

## POST /v2/userSettings

Creates or updates settings for the currently logged in user.

* metric: if metric units should be used
* measurements: if measurements in the plan should be shown
* area: if the areas should be shown in the plan
* furnitureSnap: if furniture should snap to walls
* roomHeight: default room height in mm
* parapetHeight: default parapetHeight in mm
* wallThickness: default wall thickness in mm

Accepts: application/json

Generates: application/json

Body:

```json
{
    "userSetting": {
        "metric": true,
        "measurements": false,
        "area": false,
        "furnitureSnap": false,
        "roomHeight": 2800,
        "parapetHeight": 900,
        "wallThickness": 250
    }
}
```

All fields are optional, shown are the default values.

Response success (200 OK):

```json
{
    "userSetting": {
        "id": "<settingsId>",
        "user": "<userId>",
        "metric": true,
        "measurements": false,
        "area": false,
        "furnitureSnap": false,
        "roomHeight": 2800,
        "parapetHeight": 900,
        "wallThickness": 250
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/usersettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
